#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pixman
Version		:	0.42.2
Release		:	16.2.0.rel%{?dist}
Summary		:	Pixel manipulation library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.cairographics.org/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The Pixman package contains a library that provides low-level pixel
manipulation features such as image compositing and trapezoid
rasterization.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

XCFLAGS="$CFLAGS -g"					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-1/%{name}.h
%{_includedir}/%{name}-1/%{name}-version.h
%{_libdir}/lib%{name}-1.so*
%{_libdir}/pkgconfig/%{name}-1.pc

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
